Subject: [ANN] netdev calls - Oct 21st

From: Jakub Kicinski <[email-masked]>
Date: Tue, 21 Oct 2025 08:56:05 -0700

Hi!

The usual calls took place today. I didn't send an announcement earlier
because I didn't expect topics.. then I realized the PHY port repr may
need a discussion. Luckily Andrew and Maxime joined in time.

Here are the meeting notes from what transpired, and meeting notes from
netdev TSC (today's and last months).

## netdev bi-weekly

Oct 2025 (21st)
 * PHY port representation
   * No major concerns so far, just general busy-ness
   * Andrew to look after the weekend
   * We’ll drop from patchwork given the timelines, Andrew promises to look regardless

## netdev foundation TSC

September 2025 (23rd)
Present: Paolo, Eric, Johannes, Jakub, Simon, Willem

HW lab:
 * Funding approved by the board
 * Trying to figure out the process for releasing funds
Small items:
 * Unclear how to expense
 * Google Folder has been shared by Linux Foundation
 * Waiting for resolution for Plausible, hopefully CC number will be shared
Other items:
 * #11 syzbot
   * syzbot seems to be covering netlink pretty well, needs more
     digging to find something that isn't covered
   * should we close the issue?
#7 documentation
   * is there a policy on accepting AI docs into the kernel?
#5 lore+lei
   * Jakub to reach out to Konstantin

October 2025 (21st)
Present: Paolo, Andrew, Johannes, Kuniyuki, Simon, Eric, Jakub

Plausible
 * https://plausible.io/netdev.bots.linux.dev
 * Now paid by the foundation
HW lab:
 * Order submitted for first few servers, no ETA, but maybe 1 month?
 * Johannes: we need some understanding on how access to these machines will be granted  
AI code review
 * Chris Mason has a repo with AI prompts, trying to integrate with netdev
   https://github.com/masoncl/review-prompts/blob/main/networking.md
 * Tested on prior netdev patches, already live reviewing in BPF
 * Should we email just the author first?
 * Need a way to mark a review as known-bad
 * Need a way to teach the AI new tricks - change Chris’s repo?
 * Are the reviews going to show up in PW?
 * Let’s start with just PW then, we’ll think about the ML and sending emails later
#12, #13, #14 (tests):
 * Moving forwards with SoW, receiving quotes
 * Do we need to wait for NIPA to be up?
   * Probably not, the main use is for random drivers
 * Timeline: likely completion around Feb
LPC update:
 * Submissions under review
 * Reviewers expected to finish by end of the day tomorrow
#5 lore+lei
 * Discussion with K stalled, concerns about scalability
 * Jakub to create a more concrete proposal and share